[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDatabase.StartTransaction

Start a new transaction.

## Declaration

Source position: db.pas line 1963

`public procedure TDatabase.StartTransaction; virtual; abstract;`

## Description

StartTransaction must be implemented by descendent classes to start a new transaction. This method is provided for Delphi compatibility: new applications shoud use a TDBTransaction component instead and invoke the TDBTransaction.StartTransaction method.

## See also

TDBTransaction |  | Encapsulate a transaction
TDBTransaction.StartTransaction

Documentation generated on: Feb 26 2014